org.apache.lucene.spatial.prefix.tree

## Interface CellCanPrune

- All Superinterfaces:
    Cell
  All Known Implementing Classes:
    LegacyCell, PackedQuadPrefixTree.PackedQuadCell, QuadPrefixTree.QuadCell

      public interface CellCanPrune
      extends Cell

  Grid cells that share nothing with other cells when calling `Cell.getNextLevelCells(Shape)` might implement this interface. Children cells for this cell will be eligible for pruning via `RecursivePrefixTreeStrategy.setPruneLeafyBranches(boolean)`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSubCellsSize()` Returns the number of children for this cell.

    - ### Methods inherited from interface org.apache.lucene.spatial.prefix.tree.Cell

      `compareToNoLeaf, getLevel, getNextLevelCells, getShape, getShapeRel, getTokenBytesNoLeaf, getTokenBytesWithLeaf, isLeaf, isPrefixOf, setLeaf, setShapeRel`

- - ### Method Detail

    - #### getSubCellsSize

          int getSubCellsSize()

      Returns the number of children for this cell.
      Returns:
        the number of children.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.